package com.ibiz.core.external.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.external.domain.ORGUSER;
import com.ibiz.core.external.filter.ORGUSERSearchContext;

/**
 * 实体[ORGUSER] 服务对象接口
 */

public interface IORGUSERService{
     boolean create(ORGUSER orguser) ;
     ORGUSER getDraft(ORGUSER orguser) ;
     boolean update(ORGUSER orguser) ;
     ORGUSER get(String orguserid) ;
     ORGUSER get(ORGUSER orguser) ;
     boolean checkKey(ORGUSER orguser) ;
     boolean remove(String orguserid) ;
     boolean save(ORGUSER orguser) ;

    /**
     * 查询集合 当前用户
     */
     Page<ORGUSER> searchCurOrgUser(ORGUSERSearchContext context) ;

    /**
     * 查询集合 DEFAULT
     */
     Page<ORGUSER> searchDefault(ORGUSERSearchContext context) ;

    /**
     * 根据机构查询
     */
     Page<ORGUSER> selectByORG(String orgid) ;
     List<ORGUSER> selectByORG2(String orgid);

}
